View Issue Details

IDProjectCategoryView StatusLast Update
0005965mantisbtbugtrackerpublic2020-09-17 16:40
ReporterDarkwinde Assigned Todregad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version1.0.0a3 
Summary0005965: Standard PC-Profil
Description

Hard to explain, but the first pc profile you declare is not the first one.
The first is a empty one and after that, there ist the first, etc.

And if you declare a standard profile this is not seted up in the extended report as the first/standard selected...so the empty one is the selected - first.

Hope you understand what I mean.

TagsNo tags attached.

Relationships

has duplicate 0005966 closedgiallu Standard PC-Profile under Admin Control 

Activities

vboctor

vboctor

2005-07-18 09:17

manager   ~0010847

If I understand you correctly, you don't like the fact that the profile combo box has an empty entry and that it is selected by default.

The reason for that is to only associate an issue with a profile if the user selects it explicitly. Otherwise, you may have issues associate with profiles just the user didn't explitly set it to the correct profile.

However, it may be a good idea to allow the user to set the default profile as none, or one of the defined private/global profiles. This will be useful for the users who only use a project on one PC and hence on profile.

Does this make sense?

Darkwinde

Darkwinde

2005-07-18 09:23

reporter   ~0010848

an empty field is ok, if it is wanted for default if none owne profiles ar created, but if i set up an own made profile as standard, so it have to be the standard selected one in the extended reports and not the empty one ;)

so setting up an own profile as standard is not marked in the ex. reports as the selected (first one).

vboctor

vboctor

2005-07-18 09:29

manager   ~0010850

Maybe if the user defined one private profile, then it should be used by default. If the user has multiple or none, then blank should be defined by default.

Darkwinde

Darkwinde

2005-07-18 09:34

reporter   ~0010852

yes this is what i mean ;) sorry for spaming at all!

grangeway

grangeway

2014-10-05 15:33

reporter   ~0041403

Given that functionality exists to allow a profile to be made the default,

Is this request that, we currently don't make any profile the default, and we should make a special case for 1 profile to make it the default i.e. as soon as a user adds a profile, it becomes their default.

Or does this issue predate the addition of code to set default?

dregad

dregad

2020-09-06 11:06

developer   ~0064373

Users can select which System Profile they want to use as default in their preferences (My Account / Profiles - account_prof_menu_page.php).

When a default has been set, the Profile selection box in Report Issue page page is preset to that; otherwise, the list shows (select), allowing user to optionally pick a profile to use.

Issue History

Date Modified Username Field Change
2005-07-18 09:05 Darkwinde New Issue
2005-07-18 09:17 vboctor Note Added: 0010847
2005-07-18 09:17 vboctor Status new => feedback
2005-07-18 09:23 Darkwinde Note Added: 0010848
2005-07-18 09:27 vboctor Status feedback => new
2005-07-18 09:29 vboctor Note Added: 0010850
2005-07-18 09:34 Darkwinde Note Added: 0010852
2008-06-13 17:43 giallu Relationship added has duplicate 0005966
2014-10-05 15:33 grangeway Note Added: 0041403
2020-09-06 11:06 dregad Assigned To => dregad
2020-09-06 11:06 dregad Status new => resolved
2020-09-06 11:06 dregad Resolution open => no change required
2020-09-06 11:06 dregad Note Added: 0064373
2020-09-17 16:40 atrol Status resolved => closed